Table of Contents

_________________________________________________________________

## NAME

Splash - create and manipulate a splash screen widget.

## SYNOPSIS

Splash pathName ?options?

## INHERITANCE

itk::Archetype <- itk::Toplevel <- iwidgets::Shell <- Splash

## STANDARD OPTIONS

  background bitmap borderwidth cursor font foreground highlightcolor highlightthickness image relief takefocus

See the "options" manual entry for details on the standard options.

## INHERITED OPTIONS

Options inherited from itk::Archetype:

  clientdata

Options inherited from Toplevel:

  title

Options inherited from Shell:

  height master modality padx pady width

## WIDGET-SPECIFIC OPTIONS

Name:
  labelheight

Class:
  Labelheight

Command-Line Switch:
  -labelheight

Specifies the label height in characters.

Name:
  labelwidth

Class:
  Labelwidth

Command-Line Switch:
  -labelwidth

Specifies the label width in characters.

Name:
  message

Class:
  Text

Command-Line Switch:
  -message

Specifies the message string.

## DESCRIPTION

The Splash command creates a new window (given by the pathName argument) and makes it into a splash screen window. Additional options, described above, may be specified on the command line or in the option database to configure aspects of the splash screen widget. The Splash command returns its pathName argument. At the time this command is invoked, there must not exist a window named pathName, but pathName's parent must exist.

## METHODS

The Splash command creates a new Tcl command whose name is pathName. This command may be used to invoke various operations on the Splash widget. It has the following general form:

pathName option ?arg arg ...?

Option and the args determine the exact behavior of the command. The following commands are possible for Splash widgets:

### BUILT-IN METHODS

  isa info

### INHERITED METHODS

Methods inherited from Archetype:

  cget component configure

Methods inherited from iwidgets::Shell:

  activate center childsite deactivate

### WIDGET-SPECIFIC METHODS

None

## COMPONENTS

Name:
  message

Class:
  Label

The message component is a Tk label widget.

## EXAMPLE

Splash .sp -message "Initializing my application...!"
.sp activate
#initialize application
...
.sp deactivate

## ACKNOWLEDGEMENTS:

Mark L. Ulferts <mulferts@austin.dsccc.com>

            Basic layout for documenting classes.

## AUTHOR

Robert G. Parker

## KEYWORDS

Table of Contents

- NAME
- SYNOPSIS
- INHERITANCE
- STANDARD OPTIONS
- INHERITED OPTIONS
- WIDGET-SPECIFIC OPTIONS
- DESCRIPTION
- METHODS
- BUILT-IN METHODS
- INHERITED METHODS
- WIDGET-SPECIFIC METHODS
- COMPONENTS
- EXAMPLE
- ACKNOWLEDGEMENTS
- AUTHOR
- KEYWORDS